+ Post New Thread
Page 1 of 492 1 2 3 11 51 101 ... LastLast
Threads 1 to 25 of 12291

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 28,917
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 45,205
    18th Sep 2006 10:46 pm Go to last post
  1. line new layer my lisp not working please fix

    This what wrote it is not working any one help me to fix (define c:line() (setq a( getvar "player")) (setvar "Ortho" 1) (setvar "snap" 1) (command "line") (setvar "player" a) (setvar...

    Started by sanjeeve‎, Yesterday 01:12 pm
    • Replies: 3
    • Views: 110
    Today 08:47 am Go to last post
  2. Idea Pan in two MS viewports at the same time

    just wondering.... i do a lot of projections when doing elevations / sections and what i do is have the 2 viewports in model space in which the top vport shows the plan while the bottom shows the...

    Started by nod684‎, 28th Nov 2012 02:24 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 1,091
    Today 07:31 am Go to last post
  3. Re-create page number lisp (find & replace)

    Hi members, I have a following query I have a dwg file with page number which are in format. 1/200 2/200 3/200 .... 200/200

    Started by nura235‎, Today 05:11 am
    • Replies: 3
    • Views: 56
    Today 06:32 am Go to last post
  4. line in newblayer

    Hi I want draw lines it has create new layer and snap end point and Ortho on once I right click or cancel it has to go back to old layer and snap off and Ortho off

    Started by sanjeeve‎, Yesterday 04:01 am
    • Replies: 2
    • Views: 163
    Today 02:48 am Go to last post
  5. draw linennew layer

    Hi I want lisp to draw line create new layer and Ortho on snap end One I right click or cancel it has to go back old layer and Ortho and snap off

    Started by sanjeeve‎, Yesterday 12:44 pm
    • Replies: 1
    • Views: 105
    Today 02:47 am Go to last post
  6. Need a LISP function to draw an XLine on a certain layer..

    I need a LISP to draw an Xline on a specific layer when I envoke the XL command. I am a total noob on this but is there a way to do this? TIA Sean

    Started by f700es‎, 2nd Aug 2007 04:44 pm
    • Replies: 8
    • Views: 3,035
    Today 02:45 am Go to last post
  7. HELP: LISP to create multiple & resized viewport base on an existing viewport

    One of my routine work is to highlight only part view of a drawing that has changes, to our consultants. This involves creating individual viewports, of a specific view, out of that drawing...

    Started by vernonlee‎, 15th Oct 2014 06:58 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 470
    Today 01:34 am Go to last post
  8. Automatic Block Break

    As posted over at theSwamp, I thought I'd share it with you nice folks too :) I've seen quite a few of these kind of programs knocking around, so I thought I'd give it a go at writing my own -...

    Started by Lee Mac‎, 23rd Nov 2010 12:43 am
    5 Pages
    1 2 3 ... 5
    • Replies: 42
    • Views: 7,207
    Yesterday 05:57 pm Go to last post
  9. Substitution with one more blocks

    Is it possible to select multiple blocks in the drawing, and instead set up one, choosing the insert. Desired block exists in the sketch. I will I enter their name.

    Started by jevrem1‎, 18th Oct 2014 10:28 am
    • Replies: 3
    • Views: 174
    Yesterday 11:47 am Go to last post
  10. Data set

    I am looking for the following Lisp. 1 Select Block I make a set of data blocks in the DWG 2 Zomm first block in the set (this block is deleted from the set) 3 I will perform some action with...

    Started by jevrem1‎, 18th Oct 2014 03:58 am
    • Replies: 1
    • Views: 159
    18th Oct 2014 11:51 pm Go to last post
  11. Need help with write-line

    I say 30 variables that I want to write the values ​​without quotation marks. * only a comma between values (setq ax1 (strcat "Euro" "," "EU7X50" "," euro)) (setq ax2 (strcat "Hol2.5x25" ","...

    Started by plecs‎, 17th Oct 2014 07:58 pm
    • Replies: 3
    • Views: 202
    18th Oct 2014 11:47 pm Go to last post
  12. Point Manager

    Currently, the user can: Insert a Block at all Points from a File (txt/csv) Insert a Point at all Points from a File (txt/csv)

    Started by Lee Mac‎, 11th Dec 2009 07:44 pm
    14 Pages
    1 2 3 ... 14
    • Replies: 137
    • Views: 56,245
    18th Oct 2014 11:07 pm Go to last post
  13. Text Math

    Following this thread and this thread, I thought I'd write a complementary function to allow the user to operate on numbers inside text. Example: ...

    Started by Lee Mac‎, 9th Apr 2010 11:46 pm
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 5,752
    17th Oct 2014 11:34 pm Go to last post
  14. 3D UCS extrude combination function

    I am trying to produce a 3D solid routine that combines a UCS 3 point function in it. The first 3 points control the ucs, the following points should be given by user and a extrude must be made. The...

    Started by hlammerts‎, 17th Oct 2014 08:20 am
    • Replies: 4
    • Views: 172
    17th Oct 2014 04:08 pm Go to last post
  15. Question Lisp Help: Search text in Viewport and update title block

    I'm looking for a lisp routine that is capable of searching the content of my view ports for the highest numeric attribute value with a specific tag. For example we have blocks set up with...

    Started by Darrylbster‎, 17th Oct 2014 03:42 pm
    • Replies: 0
    • Views: 109
    17th Oct 2014 03:42 pm Go to last post
  16. Question Combining 2 LISP routines?

    Hi! I have a LISP routine, GOCHNGPLT, that I wonder if it can be combined with another, GETPLOTDEVICES, so that GOCHNGPLT only runs if it has to? I don't understand either AutoLISP or VisualLISP...

    Started by Drafter_Joe‎, 13th Oct 2014 06:48 pm
    • Replies: 6
    • Views: 363
    17th Oct 2014 06:52 am Go to last post
  17. Attributes from hatch to block.

    Hi I have 96 different hatches. I have a template block with only 2 lines of text: Area and Name. I want this block to appear in the middle(ish) of a hatch when i click on it, with "Name"...

    Started by aglaerum‎, 16th Oct 2014 03:39 pm
    attribute, automated, block, hatch
    • Replies: 2
    • Views: 171
    17th Oct 2014 03:03 am Go to last post
  18. Unhappy Too many arguments error

    I'm trying to create a dimension when two toggles are picked in unison. Can someone tell me why this gives me a "too many arguments" error please? (if (and (= toggle1$ "1")( = toggle2$...

    Started by LosGirk‎, 16th Oct 2014 05:23 pm
    • Replies: 3
    • Views: 153
    16th Oct 2014 09:57 pm Go to last post
  19. Lisp for 3D dimensions

    Can someone help me create a LISP routine for dimensioning 3D piping? Here is what I am trying to accomplish, 1. set the OSNAP to "node" 2. set the UCS origin using 3 points 3. create a linear...

    Started by mrjagsr744‎, 16th Oct 2014 02:59 pm
    • Replies: 6
    • Views: 178
    16th Oct 2014 05:32 pm Go to last post
  20. Change LISP to effect Y or Z axis

    Morning Lee, on 1/13/2012 you created a LISP routine which help enormously. I'm wondering if i could trouble you to show me what needs to change in the code below to apply the LISP to the Y & Z axis...

    Started by chrishildebran‎, 14th Oct 2014 02:54 pm
    lee mac
    • Replies: 3
    • Views: 245
    16th Oct 2014 02:39 am Go to last post
  21. code to find current cad version

    Is there a code to find out current cad version or identification code ?

    Started by wimal‎, 15th Oct 2014 05:06 pm
    • Replies: 5
    • Views: 215
    16th Oct 2014 02:31 am Go to last post
  22. while loop not working, basic question?

    Hi, maybe I'm doing a stupid mistake and can't see it, but could you please tell me why this works: (defun c:test (/ thisdrawing mspace ptx pty ptz newptx mylist line_pt1 line_pt2) ...

    Started by cletero‎, 15th Oct 2014 04:31 pm
    • Replies: 4
    • Views: 178
    16th Oct 2014 12:06 am Go to last post
  23. Question lisp for changing all objects in a block to layer "0"

    Does anyone have a lisp that will change all the objects within all the blocks in a given dwg to layer "0" (while maintaing the block on the layer it was inserted into)? I have tried FixBlock, but it...

    Started by chulse‎, 4th Jan 2008 02:23 pm
    3 Pages
    1 2 3
    • Replies: 24
    • Views: 15,775
    15th Oct 2014 09:26 pm Go to last post
  24. is it possible that a lisp file can read it's own location?

    and if so... how? Thanks in advance

    Started by svorgodne‎, 15th Oct 2014 03:46 pm
    • Replies: 1
    • Views: 158
    15th Oct 2014 06:44 pm Go to last post
  25. Solids intersection and something else...

    Hi, I would like to ask for some help, if there's a way of achieving the same results as the following LISP in a faster way, what I need is to obtain the Z coordinate of the tip of the cylindrical...

    Started by cletero‎, 12th Oct 2014 04:51 am
    • Replies: 9
    • Views: 422
    15th Oct 2014 04:14 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts